> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Donor's Credit Card Information



## OpenAPI

````yaml post /frontend/donor/dashboard/card/{client_id}/{program_id}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/donor/dashboard/card/{client_id}/{program_id}/{session_id}:
    post:
      tags:
        - Frontend Donor
      summary: Update Donor's Credit Card Information
      operationId: 156d6136f9ddf35ba8ae101aaa0999cd
      parameters:
        - name: client_id
          in: path
          description: Unique identifier for the client
          required: true
          schema:
            type: string
        - name: program_id
          in: path
          description: Unique identifier for the program
          required: true
          schema:
            type: string
        - name: session_id
          in: path
          description: Session identifier for the donor
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                cardHolderName:
                  type: string
                token:
                  type: string
              type: object
      responses:
        '200':
          description: Credit card information updated successfully
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                  message:
                    type: string
                  redirect:
                    type: string
                type: object
        '401':
          description: Unauthorized - Session expired or user not logged in
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                  message:
                    type: string
                  redirect:
                    type: string
                type: object
      security:
        - sessionIdAuth: []
components:
  securitySchemes:
    sessionIdAuth:
      type: apiKey
      description: Use a session id to authenticate
      name: session_id
      in: header

````